<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Instansi extends Model
{
    protected $table = 'instansis';
    
   protected $fillable = [
    'nama_instansi',
    'kepala_sekolah', // Tambahkan ini
    'jabatan',        // Tambahkan ini
    'kode_instansi',  // Tambahkan ini agar tidak error saat generate kode
    'alamat'
];

    /**
     * Relasi ke User (pegawai/guru)
     */
    public function users()
    {
        return $this->hasMany(User::class, 'instansi_id');
    }

    /**
     * Relasi ke Kegiatan
     */
    public function kegiatans()
    {
        return $this->hasMany(Kegiatan::class, 'instansi_id');
    }

    /**
     * Relasi ke PengajuanKeuangan
     */
    public function pengajuans()
    {
        return $this->hasMany(PengajuanKeuangan::class, 'instansi_id');
    }
}